# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_encoder_context_t Struct Reference

`#include <dirac_encoder.h>`

Collaboration diagram for dirac_encoder_context_t:

[legend]

List of all members.

## Public Attributes

- dirac_seqparams_t seq_params
- dirac_sourceparams_t src_params
- dirac_encparams_t enc_params
- int instr_flag
- int decode_flag

## Detailed Description

Structure that holds the parameters that set up the encoder context

## Member Data Documentation

dirac_seqparams_t dirac_encoder_context_t::seq_params

Sequence parameters

dirac_sourceparams_t dirac_encoder_context_t::src_params

Source parameters

dirac_encparams_t dirac_encoder_context_t::enc_params

Encoder parameters

int dirac_encoder_context_t::instr_flag

Return diagnostics info 1-return mv data, 0-no diagnostics returned

int dirac_encoder_context_t::decode_flag

Return locally decoded frames 1-return locally decoded frames, 0-no decoded frames returned

The documentation for this struct was generated from the following file:

- dirac_encoder.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.